GET
/shareInvitations
http://wellarchitected.{region}.amazonaws.com/shareInvitationsList the workload invitations.
Access Token Required: API Key
Query Params
WorkloadNamePrefixstring
LensNamePrefixstring
An optional string added to the beginning of each lens name returned in the results.
ShareResourceTypestring
The type of share invitations to be returned.
Allowed:
NextTokenstring
MaxResultsinteger
The maximum number of results to return for this request.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://wellarchitected.{region}.amazonaws.com/shareInvitations' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}